function [ table ] = LuminanceDCHuffmanCodeCountPerCodeLength(  )
%LUMINANCEDCHUFFMANCODECOUNTPERCODELENGTH Standard luminance DC Huffman Code counts table
%
%   +EntropyCoding/ChromaACHuffmanCodeCountPerCodeLength.m
%   Part of 'MATLAB Image & Video Compression Demos'
%
%   The luminance DC Huffman Code counts table as recommended by the
%   standard (the BITS table).
%
%   Ref: CCITT Rec. T.81 (1992 E) p. 158, Table K.3
%
%   Licensed under the 3-clause BSD license, see 'License.m'
%   Copyright (c) 2011, Stephen Ierodiaconou, University of Bristol.
%   All rights reserved.

table = [0 1 5 1 1 1 1 1 1 0 0 0 0 0 0 0];

end
